/*******************************************************
//
//	Name: CAIMap.h
//
//	Author: Dave Ratti
//
//	Date: 3-15-02
//
//	Modified: 3-15-02
//
//	Notes: Basically an array with information about the objects on the map
//	the AI map is all the AI gets to base its algorithms off of.
//	AI will get the map from CGameObject
//
*********************************************************/

#ifndef CAIMAP
#define CAIMAP

#include "CGameObject.h"
#include "CMap.h"
#include "STRINGC.h"


class CAIMap
{

public:

	CAIMap(int width, int height);
	~CAIMap();


	int getWidth(){ return m_width; }
	int getHeight(){ return m_height; }

	void setWidth(int w){ m_width = w; }
	void setHeight(int h){ m_height = h; }
	
	int*	getData(){ return m_data; }

	void	draw();
			
	
protected:


	int		m_width;
	int		m_height;
	int*	m_data;



};


#endif